# List Funding Payments

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Derivatives", href: "/trading/rest-api/derivatives" },
    { label: "List Funding Payments" },
  ]}
  title="List Funding Payments"
  method="POST"
  url="https://api.gemini.com/v1/perpetuals/fundingPayment"
  description="Retrieves the account's funding payment history for perpetuals positions."
  note={{
    title: "Note",
    children: <p style={{ margin: 0 }}>The response field <InlineBadge>instrumentSymbol</InlineBadge> is only attached to requests from 16th April 2024 onwards.</p>
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/perpetuals/fundingPayment",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/perpetuals/fundingPayment",
        nonce: "<nonce>",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>orders:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Query Parameters",
      children: <SpecQueryParams operationId="listFundingPayments" />,
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listFundingPayments" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listFundingPayments" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listFundingPayments" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Funding Amount Report File", href: "/trading/rest-api/derivatives/get-funding-amount-report-file" }}
  next={{ label: "Get Funding Payment Report File", href: "/trading/rest-api/derivatives/get-funding-payment-report-file" }}
/>
